## steam 1.0.0.68

=== Makefile ===
#! /bin/make -f

all:
	@echo 'Run steam with "./steam" or install it with "sudo make install"'

install: install-bin install-docs install-icons install-bootstrap install-desktop install-apt-source

install-bin:
	install -d -m 755 $(DESTDIR)$(PREFIX)/bin/
	install -d -m 755 $(DESTDIR)$(pkglibdir)/
	install -p -m 755 bin_steam.sh $(DESTDIR)$(pkglibdir)/
	install -p -m 755 bin_steamdeps.py $(DESTDIR)$(pkglibdir)/
	ln -fns $(pkglibdir)/bin_steam.sh $(DESTDIR)$(bindir)/$(PACKAGE)
	ln -fns $(pkglibdir)/bin_steamdeps.py $(DESTDIR)$(bindir)/$(PACKAGE)deps

install-docs:
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/doc/$(PACKAGE)/
	install -p -m 644 README steam_subscriber_agreement.txt $(DESTDIR)$(PREFIX)/share/doc/$(PACKAGE)/
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/man/man6/
	install -m 644 $(PACKAGE).6 $(DESTDIR)$(PREFIX)/share/man/man6/

install-icons:
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/icons/hicolor/16x16/apps/
	install -p -m 644 icons/16/$(PACKAGE).png $(DESTDIR)$(PREFIX)/share/icons/hicolor/16x16/apps/
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/icons/hicolor/24x24/apps/
	install -p -m 644 icons/24/$(PACKAGE).png $(DESTDIR)$(PREFIX)/share/icons/hicolor/24x24/apps/
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/icons/hicolor/256x256/apps/
	install -p -m 644 icons/256/$(PACKAGE).png $(DESTDIR)$(PREFIX)/share/icons/hicolor/256x256/apps/
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/icons/hicolor/32x32/apps/
	install -p -m 644 icons/32/$(PACKAGE).png $(DESTDIR)$(PREFIX)/share/icons/hicolor/32x32/apps/
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/icons/hicolor/48x48/apps/
	install -p -m 644 icons/48/$(PACKAGE).png $(DESTDIR)$(PREFIX)/share/icons/hicolor/48x48/apps/
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/pixmaps/
	install -p -m 644 icons/48/$(PACKAGE).png $(DESTDIR)$(PREFIX)/share/pixmaps/
	install -p -m 644 icons/48/steam_tray_mono.png $(DESTDIR)$(PREFIX)/share/pixmaps/$(PACKAGE)_tray_mono.png

install-bootstrap:
	install -d -m 755 $(DESTDIR)$(PREFIX)/lib/$(PACKAGE)/
	install -p -m 644 bootstraplinux_ubuntu12_32.tar.xz $(DESTDIR)$(PREFIX)/lib/$(PACKAGE)/

install-desktop:
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/applications/
	install -d -m 755 $(DESTDIR)$(pkglibdir)/
	install -p -m 644 $(PACKAGE).desktop $(DESTDIR)$(pkglibdir)
	ln -fns $(pkglibdir)/$(PACKAGE).desktop $(DESTDIR)$(datadir)/applications/

install-apt-source:
	if [ -d /etc/apt ]; then \
		install -d -m 755 $(DESTDIR)/etc/apt/sources.list.d/; \
		install -p -m 644 $(PACKAGE).list $(DESTDIR)/etc/apt/sources.list.d/; \
		install -d -m 755 $(DESTDIR)/etc/apt/trusted.gpg.d/; \
		install -p -m 644 steam.gpg $(DESTDIR)/etc/apt/trusted.gpg.d/; \
	fi

#########################

PACKAGE=steam
PREFIX?=/usr
bindir = $(PREFIX)/bin
datadir = $(PREFIX)/share
pkglibdir = $(PREFIX)/lib/$(PACKAGE)
PYTHON ?= python3

.PHONY: all install install-bin install-docs install-icons install-bootstrap install-desktop install-apt-source

check:
	prove -v tests/*.sh
.PHONY: check

=== subprojects/python-vdf/Makefile ===
# Makefile for VDF module

define HELPBODY
Available commands:

	make help       - this thing.
	make init       - install python dependancies
	make test       - run tests and coverage
	make pylint     - code analysis
	make build      - pylint + test

endef

export HELPBODY
help:
	@echo "$$HELPBODY"

init:
	pip install -r requirements.txt

test:
	rm -f .coverage vdf/*.pyc tests/*.pyc
	PYTHONHASHSEED=0 python -m pytest --cov=vdf tests

pylint:
	pylint -r n -f colorized vdf || true

build: pylint test

clean:
	rm -rf dist vdf.egg-info vdf/*.pyc

dist: clean
	python setup.py sdist
	python setup.py bdist_wheel --universal

register:
	python setup.py register -r pypi

upload: dist register
	twine upload -r pypi dist/*

=== subprojects/python-vdf/requirements.txt ===
mock
pytest
pytest-cov

=== subprojects/python-vdf/vdf2json/Makefile ===
clean:
	rm -rf dist vdf2json.egg-info vdf2json/*.pyc

dist: clean
	python setup.py sdist

upload: dist
	python setup.py register -r pypi
	twine upload -r pypi dist/*

=== debian/changelog ===
steam (1.0.0.68-1) unstable; urgency=medium

  * New upstream release
    - No changes relevant to this Debian package

 -- Simon McVittie <smcv@debian.org>  Sun, 17 Jan 2021 13:29:59 +0000

steam (1.0.0.67-4) unstable; urgency=medium

  * Swap Suggests: nvidia-driver-libs-i386 to nvidia-driver-libs.
    The nvidia-driver-libs-i386 package is unavailable since bullseye.
    However, nvidia-driver-libs is Multi-Arch: same and the steam package
    is Architecture: i386, so the new Suggests will also pull in
    nvidia-driver-libs:i386, which is what we want. (Closes: #979121)

 -- Simon McVittie <smcv@debian.org>  Sun, 03 Jan 2021 11:14:20 +0000

steam (1.0.0.67-3) unstable; urgency=medium

  * Add Recommends on libasound2-plugins.
    This is required for PulseAudio output in 32-bit games. amd64
    users will typically already have libasound2-plugins:amd64, but not
    libasound2-plugins:i386; however, the steam package is on i386, so it
    is in an ideal position to pull in 32-bit libraries. (Closes: #977272)
  * d/steam.lintian-overrides: Remove an obsolete tag
  * d/source/lintian-overrides: Mark source-is-missing as known.
    The Steam client's source code is not available, and we don't need
    a reminder from Lintian.
  * Standards-Version: 4.5.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 15 Dec 2020 14:03:54 +0000

steam (1.0.0.67-2) unstable; urgency=medium

  * Release to unstable.
    Version 1.0.0.67 has been promoted from beta to stable status.
  * d/watch: Update for new upstream layout.
    This only watches for upstream stable releases. Replace stable with beta
    to get upstream betas before they are promoted to stable status.

 -- Simon McVittie <smcv@debian.org>  Wed, 02 Dec 2020 17:44:37 +0000

steam (1.0.0.67-1) experimental; urgency=medium

  * New upstream release (currently a beta)
    - Update steam binary
    - Update udev rules to cover DualSense (Playstation 5) controller
  * Add Recommends on xdg-desktop-portal and a backend.
    These are used by Proton 5.13, which runs in a Steam Runtime v2 container,
    when a game asks to open a URL in the host system's web browser.

 -- Simon McVittie <smcv@debian.org>  Fri, 20 Nov 2020 17:28:30 +0000

steam (1.0.0.66-2) unstable; urgency=medium

  * Release to unstable.
    Version 1.0.0.66 has been promoted from beta to stable status.

 -- Simon McVittie <smcv@debian.org>  Mon, 05 Oct 2020 15:27:37 +0100

steam (1.0.0.66-1) experimental; urgency=medium

  * New upstream release (currently a beta)
    - Update steam binary
    - Make udev rules compatible with eudev and older udev
  * Add Recommends: bubblewrap, required by the experimental container
    runtime system

 -- Simon McVittie <smcv@debian.org>  Wed, 29 Jul 2020 17:11:17 +0100

steam (1.0.0.64-1) unstable; urgency=medium

  * New upstream stable release
    - No changes since 1.0.0.63 that are relevant to this package
  * d/rules: Look at stable rather than precise upstream apt suite.
    The official sources.list.d fragment shipped with the Steam launcher
    now uses the 'stable' apt suite, since the Steam client doesn't
    actually work on Ubuntu 12.04 'precise' any more.
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Sat, 04 Jul 2020 15:11:18 +0100

steam (1.0.0.63-1) experimental; urgency=medium

  * New upstream release (currently a beta)
    - Update steam binary
    - Update steam-devices udev rules
  * debian/steam.postinst: Notify udevd to reload its rules.
    This means the steam-devices rules should take effect immediately,
    instead of being deferred until after the next reboot.
    - Thanks to Ludovico de Nittis
  * Remove unused lintian override for
    debian-rules-contains-unnecessary-get-orig-source-target

 -- Simon McVittie <smcv@debian.org>  Tue, 09 Jun 2020 13:31:44 +0100

steam (1.0.0.62-2) unstable; urgency=medium

  * steam(6): Don't redirect stderr to a log file.
    The upstream developers of Steam recently removed its own launch
    script's redirection (to /tmp/dumps), which has been noted to
    sometimes fill /tmp, and is less useful in practice than it was hoped
    to be. They have asked that we remove the similar redirection from
    Debian's equivalent script, so that when debugging game launch issues
    they can instruct users to run steam from an interactive terminal,
    and expect it to produce both stdout and stderr, regardless of
    whether their launch script or ours is in use. (Closes: #957284)
  * Remove libtxc-dxtn0 alternative dependency.
    We now require libgl1-mesa-dri (>= 17.3), which is available in
    Debian 10 and up, as well as Debian 9 backports.
  * Release to unstable.
    Version 1.0.0.62 has been promoted from beta to stable status.

 -- Simon McVittie <smcv@debian.org>  Tue, 12 May 2020 18:58:38 +0100

steam (1.0.0.62-1) experimental; urgency=medium

  * New upstream release (currently considered to be a beta)
    - New directory layout
    - Update steam binary
    - Update steam-devices udev rules from
      <https://github.com/ValveSoftware/steam-devices/>:
      add ZeroPlus P4 (hitbox) hidraw device, 0c12:0ef6
  * d/rules: Make .orig directory configurable.
    It's canonically "..", but users of git-buildpackage often separate
    the directory with git repositories from the directory with large
    binaries.
  * d/rules: Add support for downloading beta steam-launcher versions.
    The 1.0.0.62 launcher release is currently considered to be a beta,
    which will be promoted to stable status after it has had more testing.
  * d/rules: Cope with the upstream release having an epoch.
    Ubuntu's modified version of this package has an epoch as a result of
    an older, unrelated package "sTeam" with a higher version number, which
    used to be in Debian and Ubuntu many years ago. Valve's steam package
    now has an epoch so that their 1:1.0.0.62 will be compared correctly
    against Ubuntu's 1:1.0.0.61.


=== debian/control ===
Source: steam
Section: non-free/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Michael Gilbert <mgilbert@debian.org>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 libexpat1,
 libffi-dev,
 libgcc-s1 | libgcc1,
 libstdc++6,
 libtinfo-dev,
 libx11-6,
 libx11-xcb1,
 libxau6,
 libxcb-dri2-0,
 libxcb-dri3-0,
 libxcb-glx0,
 libxcb-present0,
 libxcb-sync1,
 libxcb1,
 libxdamage1,
 libxdmcp6,
 libxext6,
 libxfixes3,
 libxxf86vm1,
 zlib1g,
 python3:any,
Rules-Requires-Root: no
XS-Autobuild: yes
Standards-Version: 4.5.1
Homepage: https://steamcommunity.com/linux
Vcs-Git: https://salsa.debian.org/games-team/steam.git
Vcs-Browser: https://salsa.debian.org/games-team/steam

Package: steam
Architecture: i386
Multi-Arch: foreign
Pre-Depends:
 debconf,
 ${misc:Pre-Depends},
Depends:
 curl,
 file,
 libgcc-s1 | libgcc1,
 libgl1-mesa-dri (>= 17.3),
 libgl1,
 libgpg-error0 (>= 1.10),
 libstdc++6,
 libudev1,
 libxcb-dri3-0 (>= 1.11.1),
 libxcb1,
 libxinerama1 (>= 2:1.1.1),
 xz-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 bubblewrap,
 ca-certificates,
 fontconfig,
 fonts-liberation,
 libasound2-plugins,
 libxss1,
 mesa-vulkan-drivers,
 steam-devices,
 xdg-desktop-portal,
 xdg-desktop-portal-gtk | xdg-desktop-portal-backend,
 xdg-utils,
 xterm | x-terminal-emulator,
 zenity,
Suggests:
 nvidia-driver-libs,
 nvidia-vulkan-icd,
Conflicts:
 steam-launcher,
Replaces:
 steam-launcher,
Description: Valve's Steam digital software delivery system
 Steam (https://www.steampowered.com) is a software content delivery system
 developed by Valve software (https://www.valvesoftware.com).  There is
 some free software available, but for the most part the content delivered
 is non-free.
 .
 This package comes with a fairly substantial non-free license agreement
 that must be accepted before installing the software.  If you have any
 opposition to non-free work, please select "I DECLINE" during the package
 installation dialogs.   There are also additional agreements in various
 parts of the application that differ from the original agreement.  In
 other words, pay attention and read carefully if you're worried about your
 rights.

Package: steam-devices
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 steam,
Breaks:
 steam (<< ${source:Version}),
 steam (>= ${source:Version}.),
Conflicts:
 steam-launcher,
Replaces:
 steam (<< ${source:Version}),
 steam (>= ${source:Version}.),
 steam-launcher,
Description: Device support for Steam-related hardware
 This package provides udev rules for various Steam-related hardware devices
 such as the Steam Controller (gamepad) and the HTC Vive (virtual reality
 headset).

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DH_VERBOSE=1

uversion=$(shell uscan --report --dehs |grep upstream-version | cut -d\< -f2 | cut -d\> -f2)
origdir=..
orig=$(origdir)/steam_$(uversion).orig.tar.xz
dest=steam-$(uversion).orig

build-arch:
ifneq ($(DEB_HOST_ARCH), i386)
	@echo "error: $(DEB_HOST_ARCH) is not a supported architecture"
	@exit 1
endif

%:
	dh $@

override_dh_auto_configure:
	./debian/scripts/templates-helper

# We don't use Valve's build system
override_dh_auto_build:
	sed \
		-e 's,STEAMSCRIPT_VERSION=.*,STEAMSCRIPT_VERSION='"'"'$(DEB_VERSION_UPSTREAM_REVISION)/$(DEB_VENDOR)'"'"',' \
		< debian/scripts/steam.in > debian/scripts/steam
override_dh_auto_install:
	:
override_dh_auto_test:
	:

override_dh_strip:
	# Valve's binaries have no symbols, so a dbgsym package is not useful
	dh_strip --no-automatic-dbgsym

override_dh_clean:
	dh_clean -- debian/templates
	./debian/scripts/copyright-helper debian/copyright.in debian/copyright

# Can be set to 'beta' to fetch upstream releases that are still
# considered to have beta status
UPSTREAM_APT_SUITE = stable

get-orig-source:
	@test "$(uversion)" = "" && \
	    echo "There is no new upstream source file." && exit 1 || true
	mkdir get-orig
	mkdir get-orig/chdist
	chdist -d $(CURDIR)/get-orig/chdist create steam https://repo.steampowered.com/steam $(UPSTREAM_APT_SUITE) steam
	cp debian/valve-steam-keyring.gpg get-orig/chdist/steam/etc/apt/trusted.gpg.d/
	chdist -d $(CURDIR)/get-orig/chdist apt-get steam update
	cd get-orig && chdist -d $(CURDIR)/get-orig/chdist apt-get steam source -d steam=1:$(uversion)
	rm -f $(orig)
	mkdir -p $(origdir)/$(dest)
	tar xf get-orig/steam_$(uversion).tar.gz --strip-components=1 -C $(origdir)/$(dest)
	rm -rf get-orig
	mv -v $(origdir)/$(dest)/debian/changelog $(origdir)/$(dest)
	mv -v $(origdir)/$(dest)/debian $(origdir)/$(dest)/valve-packaging
	rm -fv $(origdir)/$(dest)/steam
	cd $(origdir)/$(dest) && tar -xvf bootstrap*.tar.*
	rm -fvr $(origdir)/$(dest)/bootstrap*.tar.*
	rm -fvr $(origdir)/$(dest)/linux32/steamerrorreporter
	rm -fvr $(origdir)/$(dest)/ubuntu12_32/crashhandler.so
	rm -fvr $(origdir)/$(dest)/ubuntu12_32/steam-runtime
	tar -C $(origdir) -cJf $(orig) $(dest)
	rm -rf $(origdir)/$(dest)
	@echo "Successfully created new upstream source file: $(orig)"

=== debian/watch ===
version=4
https://repo.steampowered.com/steam/archive/stable/steam_@ANY_VERSION@@ARCHIVE_EXT@

## steam 1.0.0.69

=== debian/changelog ===
steam (1:1.0.0.69) beta; urgency=medium

  * Register to handle steamlink:// URLs.
    Please note that this currently requires opting in to the beta branch
    of the Steam client.
  * Update steam-devices subproject up to 2020-12-08
    - Faceoff Wired Pro Controller for Nintendo Switch
      (thanks, FranklinsHand) (Resolves: steam-devices#14)
    - Afterglow Deluxe+ wired controller for Nintendo Switch
      (thanks, Mathieu Ricard) (Resolves: steam-devices#17)
  * Build using updated Steam client:
    - Client timestamp 1613176728 (2021-02-13)
    - Steam Runtime version 0.20201203.1

 -- Simon McVittie <smcv@collabora.com>  Wed, 03 Mar 2021 15:38:43 +0000

steam (1:1.0.0.68) beta; urgency=medium

  [ Ludovico de Nittis ]
  * bin_steamdeps: use subprocess.check_call for Python 3.4 compatibility
  * bin_steamdeps: Use apt-cache output to decide availability of packages
  * bin_steamdeps: Install xdg-desktop-portal and a backend if available.
    Proton uses xdg-desktop-portal to open URLs from inside a container.
    Older OSs like Ubuntu 14.04 and SteamOS 2 don't have these packages
    available, so we have to install them conditionally. (T24974)

  [ Simon McVittie ]
  * d/README.source: Document how to do releases

 -- Simon McVittie <smcv@collabora.com>  Wed, 02 Dec 2020 16:30:13 +0000

## steam 1.0.0.70

=== debian/changelog ===
steam (1:1.0.0.70-2ubuntu1) impish; urgency=medium

  * Merge from Debian Sid (LP: #1938351), remaining changes:
    - Add an epoch to the version number.
    - Add steam-installer package that depends on steam and contains
      appstream metadata to allow Steam to be installed via appsteam enabled
      software centers.
    - Drop debian/steam.preinst because the dconf question it is not supported
      by all software centers.
    - Modify template-helper script for Ubuntu.
    - Modify debian/steam.bug-control for Ubuntu.
    - Disable copyright-helper script in debian/rules.
    - Nvidia packaging differences to Debian.
  * debian/control: bump libnvidia-gl suggests packages

 -- Andrew Hayzen <ahayzen@ubuntu.com>  Wed, 28 Jul 2021 23:20:24 +0100

steam (1.0.0.70-2) experimental; urgency=medium

  * Depend on system libxi6:i386 to work around bugs in the Steam
    Runtime's older version (Closes: #990233)
  * Add Recommends on libsdl2-2.0-0:i386.
    This is an important library for most games and for Steam itself, and
    will also pull in up-to-date i386 versions of its dependencies. These
    i386 libraries will be used in preference to the rather outdated
    versions in the Steam Runtime, mitigating bugs like #990233. Users
    of wine32 will have these already.

 -- Simon McVittie <smcv@debian.org>  Wed, 23 Jun 2021 16:16:23 +0100

steam (1.0.0.70-1) experimental; urgency=medium

  [ Simon McVittie ]
  * New upstream beta
    - Updated Steam client binary, build 1616532526 (2021-03-23)
    - steam.desktop: Request running on a discrete or otherwise "big" GPU
      (requires GNOME 3.38, KDE Frameworks 5.30+ or something compatible)
  * d/gbp.conf: Always use --git-overlay.
    Files from the orig tarball are not included in the git repository.

  [ MichaIng ]
  * Do not keep the launcher script running at startup; use exec instead.

 -- Simon McVittie <smcv@debian.org>  Wed, 07 Apr 2021 14:38:50 +0100

steam (1.0.0.69-1) experimental; urgency=medium

  * New upstream beta
    - Update steam-devices subproject up to 2020-12-08
      + Faceoff Wired Pro Controller for Nintendo Switch
      + Afterglow Deluxe+ wired controller for Nintendo Switch
      (Thanks: FranklinsHand, Mathieu Ricard)
    - Updated Steam client binary, build 1613176728 (2021-02-13)
    - Register to handle steamlink:// URLs.
      Please note that this currently requires opting in to the beta
      branch of the Steam client.
  * Edit steam.desktop with sed instead of using a patch.
    This is more likely to apply cleanly when updating from upstream.
  * steam.desktop: Use /usr/games/steam in Desktop Actions too

 -- Simon McVittie <smcv@debian.org>  Thu, 04 Mar 2021 14:08:25 +0000

steam (1:1.0.0.68-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian Sid (LP: #1912902), remaining changes:
    - Add an epoch to the version number.
    - Add steam-installer package that depends on steam and contains
      appstream metadata to allow Steam to be installed via appsteam enabled
      software centers.
    - Drop debian/steam.preinst because the dconf question it is not supported
      by all software centers.
    - Modify template-helper script for Ubuntu.
    - Modify debian/steam.bug-control for Ubuntu.
    - Disable copyright-helper script in debian/rules.
    - Nvidia packaging differences to Debian.
  * debian/control: bump libnvidia-gl suggests packages

 -- Andrew Hayzen <ahayzen@ubuntu.com>  Wed, 27 Jan 2021 21:16:06 +0000

steam (1:1.0.0.67-2ubuntu1) hirsute; urgency=medium

  * Merge from Debian Sid (LP: #1901689), remaining changes:
    - Add an epoch to the version number.
    - Add steam-installer package that depends on steam and contains
      appstream metadata to allow Steam to be installed via appsteam enabled
      software centers.
    - Drop debian/steam.preinst because the dconf question it is not supported
      by all software centers.
    - Modify template-helper script for Ubuntu.
    - Modify debian/steam.bug-control for Ubuntu.
    - Disable copyright-helper script in debian/rules.
    - Nvidia packaging differences to Debian.
  * debian/control: use >= for the version depends on steam from the
    steam-installer package otherwise lintian fails with
    not-binnmuable-all-depends-any.

 -- Andrew Hayzen <ahayzen@gmail.com>  Sat, 05 Dec 2020 21:30:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: steam
 Section: non-free/games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Michael Gilbert <mgilbert@debian.org>,
  Simon McVittie <smcv@debian.org>,
@@ -25,6 +26,7 @@
  libxdmcp6,
  libxext6,
  libxfixes3,
+ libxi6,
  libxxf86vm1,
  zlib1g,
  python3:any,
@@ -52,6 +54,7 @@
  libudev1,
  libxcb-dri3-0 (>= 1.11.1),
  libxcb1,
+ libxi6 (>= 2:1.7.4),
  libxinerama1 (>= 2:1.1.1),
  xz-utils,
  ${misc:Depends},
@@ -62,6 +65,7 @@
  fontconfig,
  fonts-liberation,
  libasound2-plugins,
+ libsdl2-2.0-0,
  libxss1,
  mesa-vulkan-drivers,
  steam-devices,
@@ -71,8 +75,7 @@
  xterm | x-terminal-emulator,
  zenity,
 Suggests:
- nvidia-driver-libs,
- nvidia-vulkan-icd,
+  libnvidia-gl-390 | libnvidia-gl-460 | libnvidia-gl-465,
 Conflicts:
  steam-launcher,
 Replaces:
@@ -90,6 +93,27 @@
  parts of the application that differ from the original agreement.  In
  other words, pay attention and read carefully if you're worried about your
  rights.
+
+Package: steam-installer
+Architecture: all
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ steam (>= ${source:Version}),
+Description: Installer for Valve's Steam digital software delivery system
+ Steam (https://www.steampowered.com) is a software content delivery system
+ developed by Valve software (https://www.valvesoftware.com).  There is
+ some free software available, but for the most part the content delivered
+ is non-free.
+ .
+ This package enables Steam to be easily installed via an appstream client
+ on non-i386 systems as long as the i386 foreign architecture is configured.
+ This is the default on Ubuntu, but on Debian, you may need to run as root:
+ dpkg --add-architecture i386; apt update
+ .
+ This package is not needed if you only want to install Steam directly with
+ apt or with a non-appstream client like Synaptic.
 
 Package: steam-devices
 Architecture: all

## steam 1.0.0.71

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 all:
 	@echo 'Run steam with "./steam" or install it with "sudo make install"'
 
-install: install-bin install-docs install-icons install-bootstrap install-desktop install-apt-source
+install: install-bin install-docs install-icons install-bootstrap install-desktop install-appdata install-apt-source
 
 install-bin:
 	install -d -m 755 $(DESTDIR)$(PREFIX)/bin/
@@ -41,8 +41,16 @@
 install-desktop:
 	install -d -m 755 $(DESTDIR)$(PREFIX)/share/applications/
 	install -d -m 755 $(DESTDIR)$(pkglibdir)/
-	install -p -m 644 $(PACKAGE).desktop $(DESTDIR)$(pkglibdir)
-	ln -fns $(pkglibdir)/$(PACKAGE).desktop $(DESTDIR)$(datadir)/applications/
+	# If we create a desktop symlink in $(datadir)/applications/, the md5sum deb file
+	# will not contain an entry for it and appstream-generator will complain that
+	# the package is missing the desktop file. Instead we place the real file in
+	# $(datadir)/applications/ and create a symlink in $(pkglibdir)
+	install -p -m 644 $(PACKAGE).desktop $(DESTDIR)$(datadir)/applications/
+	ln -fns $(datadir)/applications/$(PACKAGE).desktop $(DESTDIR)$(pkglibdir)/
+
+install-appdata:
+	install -d -m 755 $(DESTDIR)$(PREFIX)/share/metainfo/
+	install -p -m 644 $(PACKAGE_ID).metainfo.xml $(DESTDIR)$(PREFIX)/share/metainfo/
 
 install-apt-source:
 	if [ -d /etc/apt ]; then \
@@ -55,13 +63,14 @@
 #########################
 
 PACKAGE=steam
+PACKAGE_ID=com.valvesoftware.Steam
 PREFIX?=/usr
 bindir = $(PREFIX)/bin
 datadir = $(PREFIX)/share
 pkglibdir = $(PREFIX)/lib/$(PACKAGE)
 PYTHON ?= python3
 
-.PHONY: all install install-bin install-docs install-icons install-bootstrap install-desktop install-apt-source
+.PHONY: all install install-bin install-docs install-icons install-bootstrap install-desktop install-appdata install-apt-source
 
 check:
 	prove -v tests/*.sh

=== debian/changelog ===
steam (1:1.0.0.71) beta; urgency=medium

  [ Ludovico de Nittis ]
  * d/control: Add steamrt-libs-amd64, steamrt-libs-i386 metapackages.
    These pull in libraries required by steam-launcher and Steam itself.
    Note that although these should ideally be hard dependencies, we cannot
    enforce this at the packaging level, because that would break the
    ability to download "steam-launcher.deb" through a browser and install
    it with "gdebi" or similar, which is a documented use-case.
  * bin_steamdeps: Try to install the new steam-libs metapackages

  [ Simon McVittie ]
  * d/control: Depend on realpath.
    steam.sh assumes realpath(1) is available, but in older distributions
    such as Ubuntu 14.04 that isn't necessarily present.
  * Build using updated Steam client:
    - Client timestamp 1626824053 (2021-07-20)
    - Steam Runtime version 0.20210630.0
  * Update steam-devices subproject up to 2021-06-10
    - PDP Wired Fight Pad Pro for Nintendo Switch
      (thanks, @theGiallo) (Resolves: steam-devices#19)
    - Razer Raiju 2 Tournament Edition (USB)
      (thanks, @dsuserds) (Resolves: steam-devices#20)
    - Horipad mini 4 (thanks, @besselfunct) (Resolves: steam-devices#21)
  * Update python-vdf subproject to v3.4

 -- Simon McVittie <smcv@collabora.com>  Fri, 23 Jul 2021 16:27:40 +0100

steam (1:1.0.0.70) beta; urgency=medium

  * steam.desktop: Request running on a discrete or otherwise "big" GPU
    when run on NVIDIA Optimus or AMD Switchable Graphics systems by a
    desktop environment that supports this feature, for example
    KDE Frameworks 5.30+ or GNOME Shell 3.38+.
    Note that when running Steam from a terminal for debugging or
    development, flags in the .desktop file have no effect and it will still
    be necessary to set environment variables.
    (Resolves: T26770, steam-for-linux#634, steam-for-linux#7089)
  * Build using updated Steam client:
    - Client timestamp 1616532526 (2021-03-23)
    - Steam Runtime version 0.20210126.2

 -- Simon McVittie <smcv@collabora.com>  Wed, 07 Apr 2021 13:31:40 +0100

=== debian/control ===
Source: steam
Section: games
Priority: optional
Maintainer: Valve Corporation <linux@steampowered.com>
Build-Depends: debhelper (>= 8.0.0),
               dh-python | python3 (<< 3.3.2-10~),
               perl,
               python3
Standards-Version: 3.9.4
Homepage: http://www.steampowered.com/

Package: steam-launcher
Architecture: all
Multi-Arch: foreign
Replaces: steam, steam64
Breaks: steam64
Depends: ${misc:Depends},
         ${python3:Depends},
         apt (>= 1.6) | apt-transport-https,
         ca-certificates,
         coreutils (>= 8.23-1~) | realpath,
         curl,
         file,
         libc6 (>= 2.15),
         libnss3 (>= 2:3.26),
         python3,
         python3-apt,
         xterm | gnome-terminal | konsole | x-terminal-emulator,
         xz-utils,
         zenity
Recommends: steam-libs-amd64,
            steam-libs-i386,
            sudo,
            xdg-utils | steamos-base-files,
Description: Launcher for the Steam software distribution service
 Steam is a software distribution service with an online store, automated
 installation, automatic updates, achievements, SteamCloud synchronized
 savegame and screenshot functionality, and many social features.

Package: steam
Section: oldlibs
Priority: extra
Architecture: i386
Depends: steam-launcher (>= ${source:Version})
Description: Launcher for the Steam software distribution service
 This is a transitional package that can be safely removed once steam-launcher is installed.

Package: steam-libs-amd64
Architecture: amd64
Multi-Arch: foreign
Depends: libc6 (>= 2.15),
         libnss3 (>= 2:3.26),
         libgl1,
         libgl1-mesa-dri,
         libgcc-s1 | libgcc1,
         libgpg-error0 (>= 1.10),
         libstdc++6,
         libudev1 | libudev0,
         libxcb-dri3-0,
         libxcb1,
         libxinerama1 (>= 2:1.1.1),
         libx11-6,
Recommends: libasound2-plugins,
            libxss1,
            mesa-vulkan-drivers,
Suggests: nvidia-driver-libs,
          nvidia-vulkan-icd,
Description: Steam libraries metapackage
 This metapackage depends on the amd64 libraries required by
 steam-launcher.

Package: steam-libs-i386
Architecture: i386
Multi-Arch: foreign
Depends: libc6 (>= 2.15),
         libgl1,
         libgl1-mesa-dri,
         libgcc-s1 | libgcc1,
         libgpg-error0 (>= 1.10),
         libstdc++6,
         libudev1 | libudev0,
         libxcb-dri3-0,
         libxcb1,
         libxinerama1 (>= 2:1.1.1),
         libx11-6,
Recommends: libasound2-plugins,
            libxss1,
            mesa-vulkan-drivers,
Suggests: nvidia-driver-libs,
          nvidia-vulkan-icd,
Description: Steam libraries metapackage
 This metapackage depends on the i386 libraries required by
 steam-launcher.

## steam 1.0.0.72

=== debian/changelog ===
steam (1:1.0.0.72) beta; urgency=medium

  [ Ludovico de Nittis ]
  * bin_steamdeps: Ensure that packages are never removed.
    In some situations, e.g. if a user installs a newer version of
    libc6:amd64 and then removes its apt source, resulting in it being
    newer than any available version of libc6:i386, apt would suggest
    removing several essential packages in order to satisfy the
    dependencies. Don't let it do that.
    (Resolves: steam-for-linux#7982)
  * bin_steamdeps: Explicitly ask apt for both :amd64 and :i386 versions of
    some required packages, so that it will give better error messages in
    situations like the one that promoted steam-for-linux#7982.

  [ Simon McVittie ]
  * Update steam-devices subproject up to 2021-08-25
    - Brooks Universal Fighting Board
      (thanks, Michael Pobega)
    - PowerA Wired Controller for Nintendo Switch (newer product ID, a713)
      (thanks, @TwistedAkai) (Resolves: steam-devices#27)
    - Razer Panthera EVO Arcade Stick
      (thanks, Peter DeVita) (Resolves: steam-devices#26)
    - Razer Raiju PS4 Tournament Edition over Bluetooth
      (thanks, @5amu31) (Resolves: steam-devices#25)
    - Thrustmaster eSwap Pro
  * Remove bundled copy of python-vdf.
    This was never required at runtime, but was used by steam-launcher
    developers for maintenance tasks.
    It's included as a separate package in recent versions of the Steam
    Runtime SDK (see <https://gitlab.steamos.cloud/steamrt/scout/sdk/> for
    details) and in Debian.
  * add-client-files: Stop ignoring --client-uri, --client-manifest.
    This lets steam-launcher developers get a preview of what will be in
    the client when the beta gets promoted to general availability.

 -- Simon McVittie <smcv@collabora.com>  Wed, 08 Sep 2021 19:01:01 +0100

## steam 1.0.0.74

=== Makefile ===
--- 
+++ 
@@ -7,9 +7,11 @@
 
 install-bin:
 	install -d -m 755 $(DESTDIR)$(PREFIX)/bin/
-	install -d -m 755 $(DESTDIR)$(pkglibdir)/
+	install -d -m 755 $(DESTDIR)$(pkglibdir)/steam_launcher/
 	install -p -m 755 bin_steam.sh $(DESTDIR)$(pkglibdir)/
 	install -p -m 755 bin_steamdeps.py $(DESTDIR)$(pkglibdir)/
+	install -p -m 644 steam_launcher/__init__.py $(DESTDIR)$(pkglibdir)/steam_launcher/
+	install -p -m 644 steam_launcher/launcherutils.py $(DESTDIR)$(pkglibdir)/steam_launcher/
 	ln -fns $(pkglibdir)/bin_steam.sh $(DESTDIR)$(bindir)/$(PACKAGE)
 	ln -fns $(pkglibdir)/bin_steamdeps.py $(DESTDIR)$(bindir)/$(PACKAGE)deps
 
@@ -75,3 +77,9 @@
 check:
 	prove -v tests/*.sh
 .PHONY: check
+
+clean:
+	rm -fr .mypy_cache
+	rm -fr buildutils/__pycache__
+	rm -fr steam-launcher/__pycache__
+.PHONY: clean

=== debian/changelog ===
steam (1:1.0.0.74-1ubuntu2) jammy; urgency=medium

  * Revert using upstream appdata for steam-installer (LP: #1955361)
    - debian/steam-installer.install: use our own appdata file

 -- Andrew Hayzen <ahayzen@ubuntu.com>  Mon, 20 Dec 2021 01:07:39 +0000

steam (1:1.0.0.74-1ubuntu1) jammy; urgency=medium

  * Merge from Debian Sid (LP: #1951894), remaining changes:
    - Add steam-installer package that depends on steam and contains
      appstream metadata to allow Steam to be installed via appsteam enabled
      software centers.
    - Drop appstream metadata from steam package as we have it in steam-installer
    - Drop debian/steam.preinst because the dconf question it is not supported
      by all software centers.
    - Modify template-helper script for Ubuntu.
    - Modify debian/steam.bug-control for Ubuntu.
    - Disable copyright-helper script in debian/rules.
    - Nvidia packaging differences to Debian.
  * debian/control: bump libnvidia-gl suggests packages
  * debian/steam-installer.install: use valve appdata rather than our own

 -- Andrew Hayzen <ahayzen@ubuntu.com>  Tue, 07 Dec 2021 00:59:53 +0000

steam (1:1.0.0.74-1) unstable; urgency=medium

  * New upstream stable release
    - Updated Steam client binary, build 1637624439 (2021-11-02)
    - The other upstream changes do not directly affect this package

 -- Simon McVittie <smcv@debian.org>  Sun, 12 Dec 2021 23:06:58 +0000

steam (1:1.0.0.73-1) unstable; urgency=medium

  * New upstream stable release
    - Updated Steam client binary, build 1634158817 (2021-10-13)
    - The other upstream changes do not directly affect this package
  * Add Suggests on pipewire, and Recommends on libegl1 and libgbm1.
    These are used for Steam Remote Play / Steam Link video capture,
    particularly when running on Wayland, and we want their i386 versions.
  * Add Recommends on libva2 (VA-API) and its drivers.
    Steam Remote Play uses VA-API for hardware-accelerated encoding
    (server-side, running the game) and decoding (client-side, playing
    the game) on Mesa-supported GPUs, currently via i386 binaries.
  * Remove Recommends: bubblewrap.
    Since Debian 11, we do not need a setuid bubblewrap by default, and the
    version shipped in the SteamLinuxRuntime_soldier depot is enough.

 -- Simon McVittie <smcv@debian.org>  Mon, 29 Nov 2021 20:01:26 +0000

steam (1:1.0.0.72-2) unstable; urgency=medium

  * Release to unstable.
    Steam launcher 1.0.0.72 has been promoted from beta to stable upstream.

 -- Simon McVittie <smcv@debian.org>  Thu, 14 Oct 2021 14:33:07 +0100

steam (1:1.0.0.72-1) experimental; urgency=medium

  * Branch for experimental
  * New upstream beta
    - Update steam-devices subproject up to 2021-08-25
      + Brooks Universal Fighting Board
      + PowerA Wired Controller for Nintendo Switch (a713)
      + Razer Panthera EVO Arcade Stick
      + Razer Raiju PS4 Tournament Edition over Bluetooth
      (thanks: Michael Pobega, @TwistedAkai, Peter DeVita, @5amu31)
  * d/copyright.in: Resync with d/copyright
  * d/copyright: Update for removal of bundled python-vdf.
    It's now available separately, in the python3-vdf package.

 -- Simon McVittie <smcv@debian.org>  Wed, 08 Sep 2021 20:31:28 +0100

steam (1:1.0.0.71-2) unstable; urgency=medium

  * Bump epoch to 1.
    This aligns with the version numbers used by Valve and Ubuntu, and
    ensures that an unrelated package that used the 'steam' name prior to
    2010 (sTeam, a wiki) is correctly superseded.
  * d/scripts/steam.in: Stop deleting libraries from the Steam Runtime.
    The Steam Runtime is designed to defer to the libraries from the host
    system whenever the version on the host system is newer, or whenever
    the versions in the Steam Runtime and on the host system cannot be
    compared, so it should not be necessary to edit it in-place.
    All situations where this does not work are believed to have been fixed
    upstream. If they have not, the upstream developers want to receive
    issue reports with diagnostic logs from steam-runtime-system-info, so
    that the runtime can be fixed.
  * d/scripts/steam.in: Remove workaround for #882607.
    This shouldn't be necessary any more, particularly since Valve is now
    known to be working on a SteamOS 3 update that is based on Arch Linux
    (where libdbus assertion failures have always been fatal).
  * Upload to unstable for bookworm release cycle.
    Steam launcher 1.0.0.71 has been promoted from beta to stable upstream.

 -- Simon McVittie <smcv@debian.org>  Thu, 02 Sep 2021 14:36:30 +0100

steam (1.0.0.71-1) experimental; urgency=medium

  * New upstream beta
    - Updated Steam client binary, build 1626824053 (2021-07-20)
    - Steam Runtime version 0.20210630.0
    - Update steam-devices subproject up to 2021-06-10, with udev rules for:
      + PDP Wired Fight Pad Pro for Nintendo Switch
      + Razer Raiju 2 Tournament Edition (USB)
      + Horipad mini 4
      (Thanks: @besselfunct, @dsuserds, @theGiallo)
  * d/steam.install, d/copyright: Add AppStream metainfo from upstream
  * d/copyright: Update

 -- Simon McVittie <smcv@debian.org>  Fri, 23 Jul 2021 18:24:22 +0100

=== debian/control ===
Source: steam
Section: non-free/games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Michael Gilbert <mgilbert@debian.org>,
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 libexpat1,
 libffi-dev,
 libgcc-s1 | libgcc1,
 libstdc++6,
 libtinfo-dev,
 libx11-6,
 libx11-xcb1,
 libxau6,
 libxcb-dri2-0,
 libxcb-dri3-0,
 libxcb-glx0,
 libxcb-present0,
 libxcb-sync1,
 libxcb1,
 libxdamage1,
 libxdmcp6,
 libxext6,
 libxfixes3,
 libxi6,
 libxxf86vm1,
 zlib1g,
 python3:any,
Rules-Requires-Root: no
XS-Autobuild: yes
Standards-Version: 4.5.1
Homepage: https://steamcommunity.com/linux
Vcs-Git: https://salsa.debian.org/games-team/steam.git
Vcs-Browser: https://salsa.debian.org/games-team/steam

Package: steam
Architecture: i386
Multi-Arch: foreign
Pre-Depends:
 debconf,
 ${misc:Pre-Depends},
Depends:
 curl,
 file,
 libgcc-s1 | libgcc1,
 libgl1-mesa-dri (>= 17.3),
 libgl1,
 libgpg-error0 (>= 1.10),
 libstdc++6,
 libudev1,
 libxcb-dri3-0 (>= 1.11.1),
 libxcb1,
 libxi6 (>= 2:1.7.4),
 libxinerama1 (>= 2:1.1.1),
 xz-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ca-certificates,
 fontconfig,
 fonts-liberation,
 libasound2-plugins,
 libegl1,
 libgbm1,
 libsdl2-2.0-0,
 libva2,
 libxss1,
 mesa-vulkan-drivers,
 steam-devices,
 va-driver-all | va-driver,
 xdg-desktop-portal,
 xdg-desktop-portal-gtk | xdg-desktop-portal-backend,
 xdg-utils,
 xterm | x-terminal-emulator,
 zenity,
Suggests:
 libnvidia-gl-390 | libnvidia-gl-470 | libnvidia-gl-495,
 pipewire,
Conflicts:
 steam-launcher,
Replaces:
 steam-launcher,
Description: Valve's Steam digital software delivery system
 Steam (https://www.steampowered.com) is a software content delivery system
 developed by Valve software (https://www.valvesoftware.com).  There is
 some free software available, but for the most part the content delivered
 is non-free.
 .
 This package comes with a fairly substantial non-free license agreement
 that must be accepted before installing the software.  If you have any
 opposition to non-free work, please select "I DECLINE" during the package
 installation dialogs.   There are also additional agreements in various
 parts of the application that differ from the original agreement.  In
 other words, pay attention and read carefully if you're worried about your
 rights.

Package: steam-installer
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 steam (>= ${source:Version}),
Description: Installer for Valve's Steam digital software delivery system
 Steam (https://www.steampowered.com) is a software content delivery system
 developed by Valve software (https://www.valvesoftware.com).  There is
 some free software available, but for the most part the content delivered
 is non-free.
 .
 This package enables Steam to be easily installed via an appstream client
 on non-i386 systems as long as the i386 foreign architecture is configured.
 This is the default on Ubuntu, but on Debian, you may need to run as root:
 dpkg --add-architecture i386; apt update
 .
 This package is not needed if you only want to install Steam directly with
 apt or with a non-appstream client like Synaptic.

Package: steam-devices
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Recommends:
 steam,
Breaks:
 steam (<< ${source:Version}),
 steam (>= ${source:Version}.),
Conflicts:
 steam-launcher,
Replaces:
 steam (<< ${source:Version}),
 steam (>= ${source:Version}.),
 steam-launcher,
Description: Device support for Steam-related hardware
 This package provides udev rules for various Steam-related hardware devices
 such as the Steam Controller (gamepad) and the HTC Vive (virtual reality
 headset).

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 export DH_VERBOSE=1
 
+dversion=$(shell dpkg-parsechangelog | grep ^Version | cut -d' ' -f2 | cut -d':' -f 2)
 uversion=$(shell uscan --report --dehs |grep upstream-version | cut -d\< -f2 | cut -d\> -f2)
 origdir=..
 orig=$(origdir)/steam_$(uversion).orig.tar.xz
@@ -26,6 +27,11 @@
 	sed \
 		-e 's,STEAMSCRIPT_VERSION=.*,STEAMSCRIPT_VERSION='"'"'$(DEB_VERSION_UPSTREAM_REVISION)/$(DEB_VENDOR)'"'"',' \
 		< debian/scripts/steam.in > debian/scripts/steam
+	sed \
+		-e '/^Exec=/ s,/usr/bin/steam,/usr/games/steam,g' \
+		-e 's,^Exec=steam ,Exec=/usr/games/steam ,' \
+		-e '/^Actions=/ a Keywords=Games' \
+		< steam.desktop > debian/scripts/steam.desktop
 override_dh_auto_install:
 	:
 override_dh_auto_test:
@@ -37,7 +43,13 @@
 
 override_dh_clean:
 	dh_clean -- debian/templates
-	./debian/scripts/copyright-helper debian/copyright.in debian/copyright
+	# Disabled
+	#./debian/scripts/copyright-helper debian/copyright.in debian/copyright
+
+# Don't use an epoch for steam-installer
+override_dh_gencontrol:
+	dh_gencontrol -psteam-installer -- -v$(dversion)
+	dh_gencontrol --remaining-packages
 
 # Can be set to 'beta' to fetch upstream releases that are still
 # considered to have beta status
